From: Ilpo Jarvinen <ilpo.jarvinen@helsinki.fi>

Commit 1f965b1943 (dm raid1: separate region_hash interface
part1) broke it.

Signed-off-by: Ilpo Jarvinen <ilpo.jarvinen@helsinki.fi>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>
Cc: Heinz Mauelshagen <hjm@redhat.com>
---
 drivers/md/dm-raid1.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

Index: linux-2.6.28-rc2/drivers/md/dm-raid1.c
===================================================================
--- linux-2.6.28-rc2.orig/drivers/md/dm-raid1.c	2008-10-30 13:26:33.000000000 +0000
+++ linux-2.6.28-rc2/drivers/md/dm-raid1.c	2008-10-30 13:27:16.000000000 +0000
@@ -656,9 +656,10 @@ static void do_failures(struct mirror_se
 		return;
 
 	if (!ms->log_failure) {
-		while ((bio = bio_list_pop(failures)))
+		while ((bio = bio_list_pop(failures))) {
 			ms->in_sync = 0;
 			dm_rh_mark_nosync(ms->rh, bio, bio->bi_size, 0);
+		}
 		return;
 	}
 
